Skip to main content
GET
/
v1
/
chatting
/
{chatbotId}
/
thread
/
{threadId}
/
messages
Get Thread Messages
curl --request GET \
  --url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatting/{chatbotId}/thread/{threadId}/messages \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "messages": [
      {
        "id": "<string>",
        "threadId": "<string>",
        "chatbotId": "<string>",
        "messageType": "AGENT_MESSAGE",
        "systemMessageType": "<string>",
        "content": "<string>",
        "contentTimestamp": "2023-11-07T05:31:56Z",
        "agentName": "<string>",
        "parentMessageId": "<string>",
        "llmModelId": "<string>",
        "reaction": "<string>",
        "source": [
          {}
        ],
        "isEdited": true,
        "editedBy": "<string>",
        "editedAt": "2023-11-07T05:31:56Z",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "thread": {
      "id": "<string>",
      "mode": "<string>",
      "anonymous": true,
      "unreadMessagesCount": 0
    },
    "pagination": {
      "limit": 123,
      "hasMore": true,
      "nextCursor": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required
Example:

"361628903185318481"

threadId
string
required
Example:

"abc-thread-uuid"

Query Parameters

limit
integer
default:20
before
string

Message ID cursor — returns messages older than this message

Response

Success

success
boolean
Example:

true

data
object